Subject: Re: [PATCH] powerpc/eeh: Validate arch in eeh_add_device_early()

From: Michael Ellerman <[email-masked]>
Date: Fri, 15 Jan 2016 10:37:13 +1100

On Thu, 2016-01-14 at 17:59 -0200, Guilherme G. Piccoli wrote:
> On 01/13/2016 07:25 PM, Michael Ellerman wrote:

> > But for example what happens if the user boots with eeh=off on the command
> > line, and then hotplugs a device. It looks like because you're not using
> > eeh_enabled() you will incorrectly initialise EEH anyway?
>
> Thanks very much for this catch Michael! I didn't think in this
> possibility; I just tested and it fails with the kernel oops.

OK, that's a pity.

> So, since my patch does not cover this case, I think would be more
> interesting "unlink" the DDW mechanism from the EEH. It seems easy, I'll
> try to send you a patch soon.
>
> Do you think it is a good approach?

It sounds good, but I don't know off hand whether it will work. See how it goes
and send us the patch.

cheers